# synfig::CurvePoint Struct Reference

`#include <curveset.h>`

List of all members.

## Public Member Functions

| CurvePoint ()
| CurvePoint (const Point &pin, const Vector &left, const Vector &right)
| CurvePoint (const BLinePoint &bpoint)

## Public Attributes

Point | p
Point | l
Point | r

## Constructor & Destructor Documentation

synfig::CurvePoint::CurvePoint | ( |  | ) | `[inline]`

CurvePoint::CurvePoint | ( | const Point & | pin,
|  | const Vector & | left,
|  | const Vector & | right |
| ) |  |  |

CurvePoint::CurvePoint | ( | const BLinePoint & | bpoint | ) |

References synfig::BLinePoint::get_tangent1(), synfig::BLinePoint::get_tangent2(), synfig::BLinePoint::get_vertex(), l, p, and r.

## Member Data Documentation

Point synfig::CurvePoint::p

Referenced by CurvePoint().

Point synfig::CurvePoint::l

Referenced by CurvePoint().

Point synfig::CurvePoint::r

Referenced by CurvePoint().

The documentation for this struct was generated from the following files:

- curveset.h
- curveset.cpp